# -- Pyroscope server configuration. Please refer to https://pyroscope.io/docs/server-configuration
pyroscopeConfigs: {}

persistence:
  enabled: true
  storageClassName: linstor-2node
  accessModes:
    - ReadWriteOnce
  size: 10Gi


# -- Deployment securityContext
securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000


ingress:
  enabled: true
  #className: "traefik"
  annotations:
    kubernetes.io/tls-acme: "true"
    cert-manager.io/cluster-issuer: cloudflare
    kubernetes.io/ingress.class: traefik
  hosts:
    - host: pyroscope.mikesweb.site
      paths:
      - path: /
        pathType: Prefix
  tls:
    - secretName: pyroscope-tls
      hosts:
        - pyroscope.mikesweb.site

# -- Deployment strategy
deploymentStrategy:
  type: Recreate

# -- CPU/Memory resource requests/limits
resources:
  limits:
    cpu: "10"
    memory: 2Gi
  requests:
    cpu: 100m
    memory: 128Mi



rbac:
  create: true

